use std::process::Command;

fn main() {
    let o1 = Command::new("ls")
    .output()
    .expect("Error in command");

    if o1.status.success() {
        print!("printing: {}", String::from_utf8(o1.stdout).unwrap());    
    }

    println!("Status (o1.status): {}", o1.status);
    
    let status = Command::new("ls")
    .arg("doesNotExist")
    .status()
    .expect("Error when running the command.");

    println!("Status (status): {}", status);
}
