use std::process::Command;

fn main() {
    let o1 = Command::new("sh")
    .args(&["-c", "echo $MAGAZINE"])
    .env("MAGAZINE", "Linux Format")
    .output()
    .expect("failed to execute process");

    print!("printing o1: {}", String::from_utf8(o1.stdout).unwrap());

    let o2 = Command::new("sh")
    .args(&["-c", "echo $LSCOLORS"])
    .env_clear()
    .output()
    .expect("echo command failed!");

    print!("printing o2: {}", String::from_utf8(o2.stdout).unwrap());

    let o3 = Command::new("sh")
    .args(&["-c", "echo $PATH"])
    .env_clear()
    .env("PATH", "/usr/bin:/bin")
    .output()
    .expect("echo command failed!");

    print!("printing o3: {}", String::from_utf8(o3.stdout).unwrap());
}
