use std::process::Command;

fn main() {
    let o1 = Command::new("ls")
    .output()
    .expect("Error in command");

    print!("printing o1: {}", String::from_utf8(o1.stdout).unwrap());

    let o2 = Command::new("ls")
    .current_dir("/tmp")
    .arg("-X")
    .output()
    .expect("Error in command");

    print!("printing o2: {}", String::from_utf8(o2.stdout).unwrap());
}
